"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.INTERNAL_ERROR = exports.EXCESS_KEYS_INPUT = exports.MISSING_KEYS_INPUT = exports.WRONG_TYPE_INPUT = exports.INVALID_INPUT = exports.VALID_INPUT = void 0;
const VALID_INPUT = (value) => ({ success: true, value });
exports.VALID_INPUT = VALID_INPUT;
const INVALID_INPUT = (type) => ({
    success: false,
    type,
});
exports.INVALID_INPUT = INVALID_INPUT;
const WRONG_TYPE_INPUT = () => {
    return (0, exports.INVALID_INPUT)('WRONG_TYPE');
};
exports.WRONG_TYPE_INPUT = WRONG_TYPE_INPUT;
const MISSING_KEYS_INPUT = () => {
    return (0, exports.INVALID_INPUT)('MISSING_KEYS');
};
exports.MISSING_KEYS_INPUT = MISSING_KEYS_INPUT;
const EXCESS_KEYS_INPUT = () => {
    return (0, exports.INVALID_INPUT)('EXCESS_KEYS');
};
exports.EXCESS_KEYS_INPUT = EXCESS_KEYS_INPUT;
const INTERNAL_ERROR = () => {
    return (0, exports.INVALID_INPUT)('INTERNAL_ERROR');
};
exports.INTERNAL_ERROR = INTERNAL_ERROR;
